package com.example.springdemo.dao;

import com.example.springdemo.entities.password.UsersPassword;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface UsersPasswordRepository
        extends JpaRepository<UsersPassword, Long> {
    @Query("update UsersPassword UsersPwd set UsersPwd.password = ?1 where UsersPwd.users.id = ?2")
    void updatePassword(String password, Long userID);

    //删除账户时删除密码
    @Query("delete from UsersPassword UsersPwd where UsersPwd.users.id = ?1")
    void deletePasswordById(Long userID);
}
