package com.example.springdemo.service;

import com.example.springdemo.entities.Merchants;
import com.example.springdemo.entities.password.MerchantsPassword;

import java.util.Optional;

public interface MerchantsService {
    Merchants addMerchants(Merchants merchant, MerchantsPassword merchantsPassword);

    void deleteMerchantsById(Long id);

    Merchants updateMerchants(Merchants merchant);

    Iterable<Merchants> findAllMerchants();

    Merchants findById(Long id);

    Merchants findByName(String name);

    void updatePassword(String password, Long id);
}
