package com.example.springdemo.dao;


import com.example.springdemo.entities.password.MerchantsPassword;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface MerchantsPasswordRepository
        extends JpaRepository<MerchantsPassword, Long> {
    @Query("update MerchantsPassword MerchantsPwd set MerchantsPwd.password = ?1 where MerchantsPwd.merchants.id = ?2")
    void updatePassword(String password, Long merchantID);

    //删除账户时删除密码
    @Query("delete from MerchantsPassword MerchantsPwd where MerchantsPwd.merchants.id = ?1")
    void deletePasswordById(Long merchantID);
}
